Bug 656624 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Summary: Please Update Spec File to use %ghost on files in /var/run and /var/lock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mldonkey
Version: 19
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.fedoraproject.org/piperm...
Whiteboard:
Depends On:
Blocks: 827166
TreeView+ depends on / blocked
 
Reported: 2010-11-23 23:34 UTC by Lennart Poettering
Modified: 2013-09-22 23:56 UTC (History)
5 users (show)

Fixed In Version: mldonkey-3.1.3-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-15 00:48:59 UTC
Type: ---


Attachments (Terms of Use)

Description Lennart Poettering 2010-11-23 23:34:11 UTC
Your package mldonkey appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart

Comment 1 Lee Dan 2011-05-25 17:30:47 UTC
mldonkey-server package includes a folder /var/run, and this folder disappears after reboot. Then run 'service mldonkey start' can't work well for can't open the file /var/run/mldonkey/mlnet.pid.

Comment 2 Dmitry Burstein 2011-06-26 20:39:20 UTC
Please, either add the "/var/run/mldonkey" directory creation to the startup script, or include an appropriate "/etc/tmpfiles.d/mldonkey.conf" file to your package. Otherwise, the service will not start after reboot.

Comment 3 Fedora End Of Life 2013-04-03 18:17:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 4 Fedora Update System 2013-09-06 13:23:00 UTC
mldonkey-3.1.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mldonkey-3.1.3-3.fc19

Comment 5 Fedora Update System 2013-09-06 13:23:33 UTC
mldonkey-3.1.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mldonkey-3.1.3-3.fc18

Comment 6 Fedora Update System 2013-09-06 13:24:00 UTC
mldonkey-3.1.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mldonkey-3.1.3-3.fc20

Comment 7 Fedora Update System 2013-09-06 17:24:58 UTC
Package mldonkey-3.1.3-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mldonkey-3.1.3-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15951/mldonkey-3.1.3-3.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-09-15 00:48:59 UTC
mldonkey-3.1.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-09-15 00:56:25 UTC
mldonkey-3.1.3-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-09-22 23:56:07 UTC
mldonkey-3.1.3-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.